function [ coordinates ] = gedElectrodeCoordinates( nasionToInion )
%GEDELECTRODECOORDINATES Summary of this function goes here
%   Detailed explanation goes here

% Fp1 = 1       Fp2 = 2     F3 = 3      F4 = 4
% C3 = 5        C4 = 6      P3 = 7      P4 = 8
% O1 = 9        O2 = 10     F7 = 11     F8 = 12
% T3 = 13       T4 = 14     T5 = 15     T6 = 16
% Fz = 17       Cz = 18     Pz = 19     Poly1 = 20
% A1 = 21       A2 = 22     TIMESYNC = 23


r1 = nasionToInion/2;
r2 = 0.9*r1;

coordinates = zeros(2, 23);

coordinates(:, 1) = [r2*cos(0.60*pi); r2*sin(0.60*pi)];                             % Fp1
coordinates(:, 2) = [r2*cos(0.40*pi); r2*sin(0.40*pi)];                             % Fp2
coordinates(:, 3) = [-r2/4 + 1/2*r2*cos(0.60*pi); 1/2*r2*sin(0.80*pi) + r2/4];      % F3  0.55 0.65    
coordinates(:, 4) = [r2/4 - 1/2*r2*cos(0.60*pi); 1/2*r2*sin(0.80*pi) + r2/4];       % F4  0.55 0.65
coordinates(:, 5) = [-r2/2; 0];                                                     % C3
coordinates(:, 6) = [r2/2; 0];                                                      % C4
coordinates(:, 7) = [-r2/4 + 1/2*r2*cos(0.60*pi); -1/2*r2*sin(0.80*pi) - r2/4];     % P3  0.55 0.65   
coordinates(:, 8) = [r2/4 - 1/2*r2*cos(0.60*pi); -1/2*r2*sin(0.80*pi) - r2/4];      % P4  0.55 0.65
coordinates(:, 9) = [r2*cos(1.40*pi); r2*sin(1.40*pi)];                             % O1
coordinates(:, 10) = [r2*cos(1.60*pi); r2*sin(1.60*pi)];                            % O2   
coordinates(:, 11) = [r2*cos(0.80*pi); r2*sin(0.80*pi)];                            % F7  0.65
coordinates(:, 12) = [r2*cos(0.20*pi); r2*sin(0.20*pi)];                            % F8  0.35
coordinates(:, 13) = [-r2; 0];                                                      % T3
coordinates(:, 14) = [r2; 0];                                                       % T4
coordinates(:, 15) = [r2*cos(1.20*pi); r2*sin(1.20*pi)];                            % T5  1.35
coordinates(:, 16) = [r2*cos(1.80*pi); r2*sin(1.80*pi)];                            % T6  1.65
coordinates(:, 17) = [0; r2/2];                                                     % Fz
coordinates(:, 18) = [0; 0];                                                        % Cz
coordinates(:, 19) = [0; -r2/2];                                                    % Pz

end

