function [ result ] = getDecision( detectionsPerElectrode, str )
%GETDECISION Summary of this function goes here
%   Detailed explanation goes here

[row, ~] = size(detectionsPerElectrode);

% rozdeleni do skupin podle kvadrantu
q1_set = [2 4 6 12 14 17 ];
q2_set = [1 3 5 11 13 17 ];
q3_set = [5 7 9 13 15 19];
q4_set = [6 8 10 14 16 19];

% rozdeleni do skupin podle laloku
frontal_left = [1 3 5 11 17 18];
frontal_right = [2 4 6 12 17 18];
temporal_left = [13 15];
temporal_right = [14 16];
parietal_left = [7 19];
parietal_right = [8 19];
occipital_left = [9];
occipital_right = [10];


switch str
    case 'quadrant'
        result = zeros(row, 4);
        
        for i=1:row
            threshold_quadrant = 1.2*mean(detectionsPerElectrode(i, :));
            tmp = zeros(1, 4);
            
            for j=1:length(q1_set)
                if detectionsPerElectrode(i, q1_set(j))>threshold_quadrant
                    tmp(1) = tmp(1) + 1;
                end;
                
                if detectionsPerElectrode(i, q2_set(j))>threshold_quadrant
                    tmp(2) = tmp(2) + 1;
                end;
                
                if detectionsPerElectrode(i, q3_set(j))>threshold_quadrant
                    tmp(3) = tmp(3) + 1;
                end;
                
                if detectionsPerElectrode(i, q4_set(j))>threshold_quadrant
                    tmp(4) = tmp(4) + 1;
                end;
            end;

            tmp( tmp < 2 ) = 0;
            tmp( tmp > 1 ) = 1;
            result(i,:) = tmp;
            
        end;

    case 'lobe'
        result = zeros(row, 8);
        
        for i=1:row
            threshold_lobe = 1.6*mean(detectionsPerElectrode(i, :));
%             tmp = zeros(1, 8);
            tmp = [0 0 0 0 0 0 1 1];
            
            for j=1:length(frontal_left)
                if detectionsPerElectrode(i, frontal_left(j))>threshold_lobe
                    tmp(1) = tmp(1) + 1;
                end;
            end;

            for j=1:length(frontal_right)
                if detectionsPerElectrode(i, frontal_right(j))>threshold_lobe
                    tmp(2) = tmp(2) + 1;
                end;
            end;

            for j=1:length(temporal_left)
                if detectionsPerElectrode(i, temporal_left(j))>threshold_lobe
                    tmp(3) = tmp(3) + 1;
                end;
            end;

            for j=1:length(temporal_right)
                if detectionsPerElectrode(i, temporal_right(j))>threshold_lobe
                    tmp(4) = tmp(4) + 1;
                end;
            end;

            for j=1:length(parietal_left)
                if detectionsPerElectrode(i, parietal_left(j))>threshold_lobe
                    tmp(5) = tmp(5) + 1;
                end;
            end;

            for j=1:length(parietal_right)
                if detectionsPerElectrode(i, parietal_right(j))>threshold_lobe
                    tmp(6) = tmp(6) + 1;
                end;
            end;

            for j=1:length(occipital_left)
                if detectionsPerElectrode(i, occipital_left(j))>threshold_lobe
                    tmp(7) = tmp(7) + 1;
                end;
            end;

            for j=1:length(occipital_right)
                if detectionsPerElectrode(i, occipital_right(j))>threshold_lobe
                    tmp(8) = tmp(8) + 1;
                end;
            end;
            
            tmp( tmp < 2 ) = 0;
            tmp( tmp > 1 ) = 1;
            result(i,:) = tmp;
        end;
end;

end

