function [ preparedData, data_weight ] = getWeights( pcPatientData, detectorFPRate, k )
%GETWEIGHTS Summary of this function goes here
%   Detailed explanation goes here

[row, ~] = size(pcPatientData);

detectorFPRate_mean = mean(detectorFPRate);
detectorFPRate_std = std(detectorFPRate);

fprate_weight = bsxfun(@minus, ones(1,19), detectorFPRate_std./detectorFPRate_mean);
fprate_weight( fprate_weight<0 ) = 0;
% plot_script(fprate_weight, 'stem', 'Vhy uren z dat zdravch novorozenc')


pcPatientData_mean = mean(pcPatientData);
pcPatientData_std = std(pcPatientData);

data_weight = bsxfun(@minus, ones(1,19), pcPatientData_std./pcPatientData_mean);
data_weight( data_weight<0 ) = 0;

preparedData = pcPatientData - repmat(detectorFPRate_mean, row, 1);
preparedData( preparedData<0 ) = 0;

% k = 0.7;
weights = k*fprate_weight + (1-k)*data_weight;

preparedData = bsxfun(@times, preparedData, weights);
end

