function [ weightedElectrodes ] = locationToWeightedElectrodes( locMRI, nasionToInion, sigma )
%LOCATIONTOWEIGHTEDELECTRODES Summary of this function goes here
%   Detailed explanation goes here

nCell = length(locMRI);
coordinates = gedElectrodeCoordinates(nasionToInion);
weightedElectrodes = zeros(1, 23);

for i=1:nCell
    currentLoc = locMRI(i);
    electrodeSet = getElectrodeSet(char(currentLoc));
    centerOfMass = getCenterOfMass(electrodeSet, coordinates);
    
    cov = [sigma 0; 0 sigma];    
    f=@(x) (1/(2*pi)*sqrt(det(cov))*exp(-1/2*(x-centerOfMass)'*inv(cov)*(x-centerOfMass))); 
    
    for j=1:length(weightedElectrodes)
        weightedElectrodes(j) = weightedElectrodes(j) + f(coordinates(:, j));      
    end;
    
end;

weightedElectrodes =  weightedElectrodes/sum(weightedElectrodes);

% figure(2);
% 
% sf = fit(coordinates',weightedElectrodes','cubicinterp');
% plot(sf,coordinates',weightedElectrodes');

end

