function [ output_args ] = plot_model_quality( input_args )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here

man_q_1 = [1 0 0 1; 1 0 0 0; 1 0 0 0; 0 1 0 0; 1 1 0 0; 0 0 0 1; 0 0 0 1];
model_q_1 = [1 0 0 1; 1 0 0 0; 1 0 0 0; 0 1 0 0; 1 1 0 0; 1 0 0 1; 0 0 0 1];

man_q_2 = [1 0 0 1; 0 1 0 0; 1 0 0 0; 0 0 1 0; 1 0 0 0; 0 1 0 0];
model_q_2 = [1 0 0 1; 0 1 0 0; 1 0 0 0; 0 0 1 1; 1 0 0 0; 0 1 0 0];


man_l_1 = [0 1 0 0 0 1 0 0; 0 1 0 0 0 0 0 0; 0 1 0 0 0 0 0 0; 1 0 0 0 0 0 0 0; ...
    1 1 0 0 0 0 0 0; 0 0 0 1 0 0 0 0; 0 0 0 0 0 1 0 0];
model_l_1 = [0 1 0 0 0 0 0 0; 0 1 0 0 0 0 0 0; 0 1 0 0 0 0 0 0; 1 0 0 0 0 0 0 0; ...
    1 1 0 0 0 0 0 0; 0 0 0 1 0 0 0 0; 0 0 0 0 0 1 0 0];

man_l_2 = [0 1 0 0 0 1 0 0; 1 0 0 0 0 0 0 0; 0 1 0 0 0 0 0 0; 0 0 0 0 0 0 1 0; ...
    0 1 0 0 0 0 0 0; 1 0 0 0 0 0 0 0;];
model_l_2 = [0 1 0 0 0 0 0 0; 1 0 0 0 0 0 0 0; 0 1 0 0 0 0 0 0; 0 0 0 0 1 0 1 1; ...
    0 1 0 0 0 0 0 0; 1 0 0 0 0 0 0 0;];

for r=1:length(man_q_1(:,1))
    res_q_1(r, :) = getHitMiss(model_q_1(r,:), man_q_1(r,:));
    res_l_1(r, :) = getHitMiss(model_l_1(r,:), man_l_1(r,:));
    % Sensitivity
    stat_q_1(r, 1) = res_q_1(r, 1)/(res_q_1(r, 1) + res_q_1(r, 4));
    stat_l_1(r, 1) = res_l_1(r, 1)/(res_l_1(r, 1) + res_l_1(r, 4));
    % Specificity
    stat_q_1(r, 2) = res_q_1(r, 2)/(res_q_1(r, 2) + res_q_1(r, 3));
    stat_l_1(r, 2) = res_l_1(r, 2)/(res_l_1(r, 2) + res_l_1(r, 3));
    % PPV
    stat_q_1(r, 3) = res_q_1(r, 1)/(res_q_1(r, 1) + res_q_1(r, 3));
    stat_l_1(r, 3) = res_l_1(r, 1)/(res_l_1(r, 1) + res_l_1(r, 3));
    % Accuracy
    stat_q_1(r, 4) = (res_q_1(r, 1) + res_q_1(r, 2))/4;
    stat_l_1(r, 4) = (res_l_1(r, 1) + res_l_1(r, 2))/8;
    
    
end;

for r=1:length(man_q_2(:,1))
    res_q_2(r,:) = getHitMiss(model_q_2(r,:), man_q_2(r,:));
    res_l_2(r,:) = getHitMiss(model_l_2(r,:), man_l_2(r,:));
    % Sensitivity
    stat_q_2(r, 1) = res_q_2(r, 1)/(res_q_2(r, 1) + res_q_2(r, 4));
    stat_l_2(r, 1) = res_l_2(r, 1)/(res_l_2(r, 1) + res_l_2(r, 4));
    % Specificity
    stat_q_2(r, 2) = res_q_2(r, 2)/(res_q_2(r, 2) + res_q_2(r, 3));
    stat_l_2(r, 2) = res_l_2(r, 2)/(res_l_2(r, 2) + res_l_2(r, 3));
    % PPV
    stat_q_2(r, 3) = res_q_2(r, 1)/(res_q_2(r, 1) + res_q_2(r, 3));
    stat_l_2(r, 3) = res_l_2(r, 1)/(res_l_2(r, 1) + res_l_2(r, 3));
    % Accuracy
    stat_q_2(r, 4) = (res_q_2(r, 1) + res_q_2(r, 2))/4;
    stat_l_2(r, 4) = (res_l_2(r, 1) + res_l_2(r, 2))/8;
    
end;

tot_sen = mean(stat_l_2(:,1))
tot_spec = mean(stat_l_2(:,2))
tot_ppv = mean(stat_l_2(:,3))
tot_acc = mean(stat_l_2(:,4))

std_sen = std(stat_l_2(:,1))
std_spec = std(stat_l_2(:,2))
std_ppv = std(stat_l_2(:,3))
std_acc = std(stat_l_2(:,4))

end

