function [ output_args ] = plot_script( data, type, plotTitle )
%PLOT_SCRIPT Summary of this function goes here
%   Detailed explanation goes here

    fontSize = 10;  
    rotation = 45;
    
    tickLabelStr = {'Fp1', 'Fp2', 'F3', 'F4', 'C3', 'C4', 'P3', 'P4', 'O1', ...
    'O2', 'F7', 'F8', 'T3', 'T4', 'T5', 'T6', 'Fz', 'Pz', 'Cz'};
    
    figure
    
    switch type
        case 'box'
            boxplot(data)
            
            set(gca, 'FontSize', fontSize)
            ylabel('Poet falench detekc [1/min]', 'FontSize', fontSize)
            
            text_h = findobj(gca, 'Type', 'text');
    
            for cnt = 1:length(text_h)
                set(text_h(cnt), 'FontSize', fontSize,...
                	'Rotation', rotation, ...
                    'String', tickLabelStr{length(tickLabelStr)-cnt+1}, ...
                   	'HorizontalAlignment', 'right')
            end
            
        case 'stem'
            stem(data, 'filled');
            
            set(gca, 'XTick', 1:19);
            set(gca, 'FontSize', fontSize)
            ylabel('Vhy', 'FontSize', fontSize)
            
            xtl = get(gca,'XTickLabel');
            set(gca,'XTickLabel','');
            lxtl = length(xtl);
            if nargin>1
                lnl = length(tickLabelStr);
                if lnl~=lxtl
                    error('Number of new labels must equal number of old');
                end;
            xtl = tickLabelStr;
            end;

            hxLabel=get(gca,'XLabel');
            xLP=get(hxLabel,'Position');
            y=xLP(2);
            XTick=get(gca,'XTick');
            y=repmat(y,length(XTick),1);
            hText=text(XTick,y,xtl,'fontsize',fontSize);
            set(hText,'Rotation',rotation,'HorizontalAlignment','right');
    end;
    
    title(plotTitle, 'FontSize', 12);
 
end

