function [ dataForPCA ] = recordListToPCA( recordList, currentFolder, detectorSetting )
%RECORDSETTOPCA Summary of this function goes here
%   Detailed explanation goes here

nRecord = length(recordList);

dataForPCA = zeros(nRecord, 19);
        
% zaznamy asociovane s danym MRI snimkem
for i=1:nRecord

	currentRecord = strcat(currentFolder, filesep, char(recordList(i)), filesep, 'raw', filesep, 'interictal');
    
    display('-----------------------------------------------------------------------------------------------------------');
	display(char(strcat({'Detector run '}, num2str(i), {' out of '}, num2str(nRecord), '.')));
            
	% seznam zaznamu v prislusne slozce
	matFileList = what(currentRecord);
	% muze byt i nekolik zaznamu v jeden den
	[nRecordDay, ~] = size(matFileList.mat);
            
	channelDetections = zeros(1, 23);
	for j=1:nRecordDay
        fullFilePath = char(strcat(currentRecord, filesep, matFileList.mat(j)));

        display(char(strcat({'Processing file : '}, matFileList.mat(j))));
         
        channelDetections = channelDetections + handleDetection(detectorSetting, fullFilePath);
	end;
    
    % detekce na kanal
	channelDetections = channelDetections/nRecordDay;
            
    % filteredDetections = resultPreprocessing(channelDetections, detectorFPRate);

	dataForPCA(i, :) = channelDetections(1:19);
         
end;


end

