function [ output_args ] = roc_plot( input_args )
%ROC_PLOT Summary of this function goes here
%   Detailed explanation goes here

fontSize = 10;  
rotation = 45;
points = 11;

quadrant_1_result = zeros(points, 4);
quadrant_2_result = zeros(points, 4);

lobe_1_result = zeros(points, 4);
lobe_2_result = zeros(points, 4);

for i=1:points
    
    str1 = ['result_q_MRI_1_' num2str(i)];      % pomenna result_q_MRI_1
    str2 = ['result_q_MRI_2_' num2str(i)];      % pomenna result_q_MRI_2
    
    str3 = ['result_l_MRI_1_' num2str(i)];      % pomenna result_l_MRI_1
    str4 = ['result_l_MRI_2_' num2str(i)];      % pomenna result_l_MRI_2
    
    load(str1);
    load(str2);
    load(str3);
    load(str4);

    quadrant_1_result(i, :) = [ mean(result_q_MRI_1(:,1)) mean(result_q_MRI_1(:,2)) ...
        mean(result_q_MRI_1(:,3)) mean(result_q_MRI_1(:,4)) ];

    quadrant_2_result(i, :) = [ mean(result_q_MRI_2(:,1)) mean(result_q_MRI_2(:,2)) ...
        mean(result_q_MRI_2(:,3)) mean(result_q_MRI_2(:,4)) ];
    
    lobe_1_result(i, :) = [ mean(result_l_MRI_1(:,1)) mean(result_l_MRI_1(:,2)) ...
        mean(result_l_MRI_1(:,3)) mean(result_l_MRI_1(:,4)) ];
    
    lobe_2_result(i, :) = [ mean(result_l_MRI_2(:,1)) mean(result_l_MRI_2(:,2)) ...
        mean(result_l_MRI_2(:,3)) mean(result_l_MRI_2(:,4)) ];

end

figure

set(gca,'XLim',[0 1])
set(gca,'YLim',[0 1])
title('ROC kivky jako funkce parametru k');
xlabel('FPR')
ylabel('SEN')
hold on

p_shade = 0:(0.6/10):0.6;

red_map = [ones(points,1), p_shade', zeros(points,1)];
green_map = [0.1*ones(points,1), p_shade', zeros(points,1)];
blue_map = [zeros(points,1), p_shade', ones(points,1)];
orange_map = [p_shade', zeros(points,1), 0.5*ones(points,1)];

for i=1:length(quadrant_1_result)
    plot(1-quadrant_1_result(i, 2), quadrant_1_result(i, 1), 'o', ...
        'color', red_map(i, :));
    plot(1-quadrant_2_result(i, 2), quadrant_2_result(i, 1), 'o', ...
        'color', green_map(i, :));
    plot(1-lobe_1_result(i, 2), lobe_1_result(i, 1), 'o', ...
        'color', blue_map(i, :));
    plot(1-lobe_2_result(i, 2), lobe_2_result(i, 1), 'o', ...
        'color', orange_map(i, :));
end;

set(gca, 'XTick', 0:0.1:1)

figure

hold on;
title('Prediktivn hodnota pozitivnho testu');
plot(0:0.1:1, quadrant_1_result(:,3), 'r');
plot(0:0.1:1, quadrant_2_result(:,3), 'g');
plot(0:0.1:1, lobe_1_result(:,3), 'b');
plot(0:0.1:1, lobe_2_result(:,3), 'color', [0.3 0 0.5]);
set(gca, 'FontSize', fontSize)
set(gca, 'XTick', 0:0.1:1)
xlabel('k')
ylabel('PPV')


figure

hold on;
title('Pesnost');
plot(0:0.1:1, quadrant_1_result(:,4), 'r');
plot(0:0.1:1, quadrant_2_result(:,4), 'g');
plot(0:0.1:1, lobe_1_result(:,4), 'b');
plot(0:0.1:1, lobe_2_result(:,4), 'color', [0.3 0 0.5]);
set(gca, 'FontSize', fontSize)
set(gca, 'XTick', 0:0.1:1)
xlabel('k')
ylabel('ACC')








